Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
Re: [opensuse-factory] openssl dependency problems with snapshot 20171129
On Fri, 01 Dec 2017 10:20:56 +0100, Dominique Leuenberger / DimStar
<dimstar@xxxxxxxxxxxx> wrote:

On Fri, 2017-12-01 at 10:12 +0100, H.Merijn Brand wrote:
2 Problems:
[...]

Seems we missed an obsoletes for the -devel package. The best
answer
depends on why you even have libopenssl-devel installed on your
system.
The 'Tumbleweed default' should be to 'deinstall libopenssl-1_0_0-
devel', which would then pull in libopenssl-1_1_0-devel instead.

Packages that depend on 1.0.2m:

# zypper rm libopenssl-devel-1.0.2m-1.1.noarch
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Not sure why you decided to remove libopenssl-devel and not libopenssl-
1_0_0-devel as recommended by me earlier.

I didn't want to remove it at all. I just used it to demonstrate the
feedback. removing libopenssl-1_0_0-devel suggests to uninstall even
more

# rpm -qa | grep openssl | sort
libopenssl1_0_0-1.0.2m-1.1.x86_64
libopenssl1_0_0-32bit-1.0.2m-1.1.x86_64
libopenssl-1_0_0-devel-1.0.2m-1.1.x86_64
libopenssl1_0_0-steam-32bit-1.0.2m-1.1.x86_64
libopenssl1_1_0-1.1.0g-2.1.x86_64
libopenssl1_1_0-32bit-1.1.0g-2.1.x86_64
libopenssl-devel-1.0.2m-1.1.noarch
openssl-1_0_0-1.0.2m-1.1.x86_64
openssl-1.0.2m-1.1.noarch
php7-openssl-7.1.11-2.2.x86_64

# zypper rm libopenssl-1_0_0-devel-1.0.2m-1.1.x86_64
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 21 packages are going to be REMOVED:
gstreamer-plugins-qt-devel libakonadiprotocolinternals-devel libattica-devel
libavahi-qt4-devel libetpan-devel libksane-devel libmysqlclient-devel
libopenssl-1_0_0-devel libopenssl-devel libpolkit-qt-1-devel
libpoppler-qt4-devel libqimageblitz-devel libqjson-devel libqt4-devel
libQtWebKit-devel libserf-devel libssh2-devel net-snmp-devel phonon-devel
sane-backends-devel wvstreams-devel

21 packages to remove.
After the operation, 49.3 MiB will be freed.
Continue? [y/n/...? shows all options] (y):

There are some more changes piled up for openssl 1.0/1.1 to be a bit
less aggressive on each other. But I can't yet estimate when those will
reach Tumbleweed.

I'll wait :)

Cheers
Dominique

--
H.Merijn Brand http://tux.nl Perl Monger http://amsterdam.pm.org/
using perl5.00307 .. 5.27 porting perl5 on HP-UX, AIX, and openSUSE
http://mirrors.develooper.com/hpux/ http://www.test-smoke.org/
http://qa.perl.org http://www.goldmark.org/jeff/stupid-disclaimers/
< Previous Next >